
{{- $ := index . "$" -}}
{{- $iconName := .iconName | default "search" -}}
<form id="search" class="search" role="search">
    <label for="search-input">
        {{- partial "utils/icon.html" (dict "$" $ "name" $iconName "class" "search-icon") -}}
    </label>
    <input type="search" id="search-input" class="search-input">
</form>

<template id="search-result" hidden>
    <article class="content post">
        <h2 class="post-title"><a class="summary-title-link"></a></h2>
        <summary class="summary"></summary>
        <div class="read-more-container">
            <a class="read-more-link">{{ i18n "readMore" }} »</a>
        </div>
    </article>
</template>

@keyframes spin {
  100% {
    transform: rotateY(360deg);
  }
}

.search {
  display: flex;
  justify-content: center;
  border: 1px solid black;
  min-width: 1em;
  height: 1em;
  line-height: 1;
  border-radius: 0.75em;
  padding: 0.25em;
}

.search-icon {
  color: black;
  cursor: pointer;
  width: 1em;
  height: 1em;
  margin: 0;
  vertical-align: bottom;
}

.search[data-running] .search-icon {
  animation: spin 1.5s linear infinite;
}

.search-input {
  border-width: 0;
  padding: 0;
  margin: 0;
  width: 0;
  outline: none;
  background: transparent;
  transition: width 0.5s;
}

.search-input:focus {
  margin-left: 0.5em;
  width: 10em;
}

<template id="search-result" hidden>
  <article class="content post">
    <h2 class="post-title"><a class="summary-title-link"></a></h2>
    <summary class="summary"></summary>
    <div class="read-more-container">
      <a class="read-more-link">Read More »</a>
    </div>
  </article>
</template>
